import Progression_Manager from "../../../Progression/Progression_Manager";
export const command_progression = {
    id: "bgs:progression",
    permission: 1,
    async run(command) {
        const argument = command.message.split(" ");
        const entity = command.sourceEntity;
        switch (argument[0]) {
            case "unlock": {
                if (argument[1] == "all") {
                    const generator = Progression_Manager.get("07b1d6ae-6288-4d5c-93fb-d10737e6f2c0");
                    if (!generator.biome_IDs.includes("1d8efb50-dcf7-438d-a2d7-10eae61ce668"))
                        generator.biome_IDs.push("1d8efb50-dcf7-438d-a2d7-10eae61ce668");
                    if (!generator.biome_IDs.includes("1b74fd97-bfd4-47fb-b6d7-0c2fc2970abd"))
                        generator.biome_IDs.push("1b74fd97-bfd4-47fb-b6d7-0c2fc2970abd");
                    if (!generator.biome_IDs.includes("155de1e3-7f78-43bf-aaf6-679045a086a4"))
                        generator.biome_IDs.push("155de1e3-7f78-43bf-aaf6-679045a086a4");
                    if (!generator.biome_IDs.includes("285cbb0e-3a07-4a30-912e-de57bbf5598e"))
                        generator.biome_IDs.push("285cbb0e-3a07-4a30-912e-de57bbf5598e");
                    if (!generator.biome_IDs.includes("044fc572-27ae-4faf-8d16-2c31cb989122"))
                        generator.biome_IDs.push("044fc572-27ae-4faf-8d16-2c31cb989122");
                    if (!generator.biome_IDs.includes("5b71f415-12a7-439b-b5f4-127bd83e04b3"))
                        generator.biome_IDs.push("5b71f415-12a7-439b-b5f4-127bd83e04b3");
                }
                break;
            }
            default: {
                break;
            }
        }
    },
};
